Subject: Re: bug#70163: 29.3; hexl-mode incorrect docstring

From: Ihor Radchenko <[email-masked]>
Date: Sat, 06 Apr 2024 12:52:06 +0000

Eli Zaretskii <[email-masked]> writes:

>> Thanks, here some more places:
>>  ...
>> org-use-fast-todo-selection        => org.el
>> org-babel-no-eval-on-ctrl-c-ctrl-c => ob-core.el
>
> I fixed the first two, but IMO they are not really relevant to this
> bug: the functions are not autoloaded, so you don't see that "Uses a
> keymap..." blurb.
>
> As for the other two: they are in Org, so I leave it to the Org
> developers to DTRT.

`org-use-fast-todo-selection' and `org-babel-no-eval-on-ctrl-c-ctrl-c'
are also not autoloaded.

And I do not see how to use the proposed approach to them - they both
use \[...] in the first line of the docstring:

(defcustom org-babel-no-eval-on-ctrl-c-ctrl-c nil
  "\\<org-mode-map>\
Remove code block evaluation from the `\\[org-ctrl-c-ctrl-c]' key binding."

(defcustom org-use-fast-todo-selection 'auto
  "\\<org-mode-map>\
Non-nil means use the fast todo selection scheme with `\\[org-todo]'.

Moving \<org-mode-map> to the second line is thus not an option.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>